<?php

/**  // € // to identify files as UTF8
 * Showing a page tree from a defined page onwards
 *
 * @module          page_tree
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.01.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/page_tree.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// example how to set a meta row
	//$mod_headers[ 'frontend' ][ 'meta' ][]	= array( '<meta name="xxxx" content="xxxx">' );

// initialize headers array
	//$mod_headers = array();

// initialize UI effects array
	$ui_effects = array();

// define current settings
	// set module name hardcoded as there is no easy possibility
	// (without DB access to section table) to get the current mmodule in frontend
	$page_tree_module	= 'page_tree';

	// get script name of current request
	$page_tree_moduleFunction	= basename( $_SERVER['PHP_SELF'], '.php' );
	// path of current module, valid in backend only
	$page_tree_modulePath	= '/modules/' . $page_tree_module;
	// set default target
	$page_tree_moduleTarget	= 'backend';

	// if no specific moduleFunction PHP file exists, we can assume that we are in frontend mode
	$moduleInc = LEPTON_PATH . $page_tree_modulePath . DIRECTORY_SEPARATOR . $page_tree_moduleFunction . '.php';
	if (( $page_tree_moduleFunction == 'index' )
	 or ( is_file( $moduleInc ) == FALSE  )):
		$page_tree_moduleFunction = 'view';
		$page_tree_modulePath     = '/modules/' . $page_tree_module;
		$page_tree_moduleTarget   = 'frontend';
	endif;

// assign generic items based on module target
	$moduleInc = LEPTON_PATH . $page_tree_modulePath . '/headers.inc.' . $page_tree_moduleTarget . '.php';
	if ( is_file( $moduleInc ) == TRUE ):
		include( $moduleInc );
	endif;

// assign specific items based on current module
	$moduleInc = LEPTON_PATH . $page_tree_modulePath . '/headers.inc.' . $page_tree_moduleFunction . '.php';
	if ( is_file( $moduleInc ) == TRUE ):
		include( $moduleInc );
	endif;

// assign generic module specific files
	$moduleInc = $page_tree_modulePath . '/js/' . $page_tree_moduleFunction . '.js';
	if ( is_file( LEPTON_PATH . $moduleInc ) == TRUE ):
		$mod_headers[ $page_tree_moduleTarget ][ 'js' ][]	= $moduleInc;
	endif;

	$moduleInc = $page_tree_modulePath . '/css/' . $page_tree_moduleFunction . '.css';
	if ( is_file( LEPTON_PATH . $moduleInc ) == TRUE ):
		$mod_headers[ $page_tree_moduleTarget ][ 'css' ][] = array( 'file' => $moduleInc, 'media' => 'screen' );
	endif;

// assign UI effects
	if ( count( $ui_effects ) > 0 ):
		// jquery-ui.min.js is set automatically
		// $mod_headers[ $page_tree_moduleTarget ][ 'js' ][]		= 'modules/lib_jquery/jquery-ui/jquery-ui.min.js';
		$mod_headers[ $page_tree_moduleTarget ][ 'css' ][]		= array( 'file' => 'modules/lib_jquery/jquery-ui/jquery-ui.min.css', 'media' => 'screen' );

		$mod_headers[ $page_tree_moduleTarget ][ 'jquery' ][]	= array( 'ui' => true, 'ui-effects' => $ui_effects );
	endif;

?>
