
/**  // € // to identify files as UTF8
 * Showing a page tree from a defined page onwards
 *
 * @module          page_tree
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.01.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/page_tree.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


/*
 * process link main field change
 */
function page_tree_select_details( action, row_id, baseSource, detailTarget, required )
{
	// set target field
	var targetField = '#' + detailTarget;

	// clear target
	$( targetField ).val('');
	$( targetField ).empty();

	// remove required on target
	$( targetField ).prop( 'required', false );

	// show dummy value in target
	$( targetField ).append(
		$('<option>', { value : '' }).text('...')
	);


	// prepare ajax call to get contents
	var url = LEPTON_URL+'/modules/page_tree/ajax.select_details.php';
	var postdata = {
		action: action
		, row_key: page_tree_ROWKEY
		, row_id: row_id
	}

	var fieldIds = [ 'leptoken' ];
	fieldIds.forEach(function (s, i, o)
	{
		postdata[s] = document.getElementById( s ).value;
	});

	if ( action == 'section_list' )
	{
		postdata['page_id'] = $( '#' + baseSource ).val();
	}
	else if ( action == 'file_list' )
	{
		postdata['folder'] = $( '#' + baseSource ).val();
	}


	// ajax call to get contents
	$.ajax({
		url: url
		, type: 'post'
		, dataType: 'json'
		, data: postdata
		, success: function ( data )
		{
			// empty target
			$( targetField ).val('');
			$( targetField ).empty();

			// set data
			var dataCHILD = data.data.CHILD;

			// load options
			$.each( dataCHILD, function( key, value )
			{
				if ( key == '0' ) { key = ''; }

				$( targetField ).append(
					$('<option>', { value : key }).text(value)
				);

				// set required
				if ( required == 1 )
				{
					$( targetField ).prop( 'required', true );
				}
			});
		}
	});
};
