
/**  // € // to identify files as UTF8
 * Showing a page tree from a defined page onwards
 *
 * @module          page_tree
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.01.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/page_tree.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


/*
 * toggles active flag
 */
function page_tree_toggle_active( row_id, setMarker, dialogTitle )
{
	// ajax call to set flag and return info box
	var url = LEPTON_URL+'/modules/page_tree/ajax.toggle_active.php';
	var postdata = {
		action: 'toggle'
		, row_key: page_tree_ROWKEY
		, row_id: row_id
	}

	var fieldIds = [ 'leptoken' ];
	fieldIds.forEach(function (s, i, o)
	{
		postdata[s] = document.getElementById( s ).value;
	});

	$.ajax({
		url: url
		, type: 'post'
		, dataType: 'json'
		, data: postdata
		, success: function ( data )
			{
				// handle active flag returned
				var data_active = data.data.active;
				if( data_active == 1 )
				{
					$( '#img_active_'   + row_id ).removeClass( 'hidden' );
					$( '#img_inactive_' + row_id ).addClass( 'hidden' );
					if( setMarker == 1 )
					{
						$( '#marker_'   + row_id ).removeClass( 'deleted' );
					}
				}
				else
				{
					$( '#img_active_'   + row_id ).addClass( 'hidden' );
					$( '#img_inactive_' + row_id ).removeClass( 'hidden' );
					if( setMarker == 1 )
					{
						$( '#marker_'   + row_id ).addClass( 'deleted' );
					}
				}

				// create the dialog with default options
				page_tree_show_dialog( dialogTitle, data.ResponseText );

				// add timeout event to automatically close the dialog after 2 seconds
				page_tree_close_on_timeout( data.status, 2 );
			}
	});
};
