
/**  // € // to identify files as UTF8
 * Showing a page tree from a defined page onwards
 *
 * @module          page_tree
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.01.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/page_tree.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


/*
 * show module info in a dialog
 */
function page_tree_show_info( dialogTitle )
{
	// prepare ajax call parameters
	var url = LEPTON_URL+'/modules/page_tree/dialog.show_info.php';
	var postdata = {
		action: 'show_info'
	}

	var fieldIds = [ 'leptoken' ];
	fieldIds.forEach(function (s, i, o)
	{
		postdata[s] = document.getElementById( s ).value;
	});

	// ajax call to get info text content
	$.ajax({
		url: url
		, type: 'post'
		, dataType: 'json'
		, data: postdata
		, success: function ( data )
			{
				// show the dialog
				page_tree_show_dialog( dialogTitle, data.ResponseText );
			}
	});
};


/*
 * show a dialog with a title and a text
 */
function page_tree_show_dialog( dialogTitle, dialogText )
{
	// create the dialog with default options
	page_tree_create_dialog( dialogTitle, dialogText );

	// open the dialog
	$( "#page_tree_dialog_content" ).dialog( "open" );
};


/*
 * create a dialog
 */
function page_tree_create_dialog( dialogTitle, dialogText )
{
	// create the content box or clear it
	if( $( '#page_tree_dialog_content' ).length == 0 )
	{
		$( '#page_tree_dialog_content_main' ).append('<div id="page_tree_dialog_content"></div>');
	}
	else
	{
		$( '#page_tree_dialog_content' ).html('');
	}

	// load data into content box
	$( '#page_tree_dialog_content' ).html( dialogText );

	// create the dialog with default options
	$( '#page_tree_dialog_content' ).dialog
	({
		// options
		  autoopen: false
		, buttons:
		{
			Ok: function()
			{
				$( this ).dialog( 'close' );
			}
		}
		//, closeOnEscape: true			// dialog default
		//, draggable: true				// dialog default
		//, height: "auto"				// dialog default
		, hide: { effect: "fade", duration: 500 }
		, maxHeight: 800
		, maxWidth: 800
		//, minHeight: 150				// dialog default
		, minWidth: 300
		, modal: true
		//, position: { my: "center", at: "center", of: window }	// dialog default
		//, resizable: true				// dialog default
		, show: { effect: "fade", duration: 500 }
		, title: dialogTitle
		, width: 750
		, html: dialogText

		// events
		, open: function () {}
		, close: function ()
		{
			$(this).remove();
		}
	});
};

/*
 * close dialog
 */
function page_tree_close_dialog()
{
	$( "#page_tree_dialog_content" ).dialog( "close" );
}

/*
 * close dialog on timeout
 */
function page_tree_close_on_timeout( status, seconds )
{
	if ( status == 1 )
	{
		timeoutID = window.setTimeout( page_tree_close_dialog, seconds*1000 );
	}
};

