
/**  // € // to identify files as UTF8
 * Showing a page tree from a defined page onwards
 *
 * @module          page_tree
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.01.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/page_tree.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


/* set the default value back into field */
function page_tree_setDefault( keyId, restoreAction )
{
	/* get field values */
	var val = document.getElementById( keyId+"_value" ).value;
	var def = document.getElementById( keyId+"_default" ).value;

	/* set field value */
	document.getElementById( keyId ).value = def;
	if( restoreAction == 'OUT' )
	{
		document.getElementById( "OUT_"+keyId ).value = def;
	}

	/* show/hide RELOAD,OK,MODIFY images */
	if( val == def )
	{
		/* set field disabled/readonly */
		$( '#'+keyId ).prop( "disabled", true );

		$( "#OK_"+keyId ).removeClass( 'hidden' );

		$( "#MODIFY_"+keyId ).removeClass( 'hidden' );
		$( "#MODIFY_"+keyId ).addClass( 'hidden' );
	}
	else
	{
		/* set field enabled for editing */
		$( '#'+keyId ).prop( "disabled", false );

		$( '#OK_'+keyId ).removeClass( 'hidden' );
		$( '#OK_'+keyId ).addClass( 'hidden' );

		$( '#MODIFY_'+keyId ).removeClass( 'hidden' );
	}

	$( "#RELOAD_"+keyId ).removeClass( 'hidden' );
	$( "#RELOAD_"+keyId ).addClass( 'hidden' );
}


/* allow field editing */
function page_tree_allowEdit( keyId )
{
	/* get field values */
	var val = document.getElementById( keyId+"_value" ).value;
	var def = document.getElementById( keyId+"_default" ).value;

	/* set field enabled for editing */
	$( '#'+keyId ).prop( "disabled", false );

	/* show/hide RELOAD,OK,MODIFY images */
	$( '#OK_'+keyId ).removeClass( 'hidden' );
	$( '#OK_'+keyId ).addClass( 'hidden' );

	$( '#MODIFY_'+keyId ).removeClass( 'hidden' );

	if( val == def )
	{
		/* no reason to show def relaod */
		$( '#RELOAD_'+keyId ).removeClass( 'hidden' );
		$( '#RELOAD_'+keyId ).addClass( 'hidden' );
	}
	else
	{
		$( '#RELOAD_'+keyId ).removeClass( 'hidden' );
	}
}


/*
 * set the last saved value back into field and protect field
 */
function page_tree_resetSaved( keyId, restoreAction )
{
	/* get field values */
	var val = document.getElementById( keyId+"_value" ).value;
	var def = document.getElementById( keyId+"_default" ).value;

	/* set field value */
	document.getElementById( keyId ).value = val;
	if( restoreAction == 'OUT' )
	{
		document.getElementById( "OUT_"+keyId ).value = val;
	}

	/* set field disabled/readonly */
	$( '#'+keyId ).prop( 'disabled', true );

	/* show/hide RELOAD,OK,MODIFY images */
	$( '#OK_'+keyId ).removeClass( 'hidden' );

	$( '#MODIFY_'+keyId ).removeClass( 'hidden' );
	$( '#MODIFY_'+keyId ).addClass( 'hidden' );

	if( val == def )
	{
		/* no reason to show def relaod */
		$( '#RELOAD_'+keyId ).removeClass( 'hidden' );
		$( '#RELOAD_'+keyId ).addClass( 'hidden' );
	}
	else
	{
		$( '#RELOAD_'+keyId ).removeClass( 'hidden' );
	}
}


/*
 * remove disable status from all items having class "preset"
 */
function page_tree_save()
{
	$( ".preset" ).each( function( index, element )
	{
		page_tree_allowEdit( element.id );
	});
}


