<?php

/**  // € // to identify files as UTF8
 * Showing a page tree from a defined page onwards
 *
 * @module          page_tree
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.01.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/page_tree.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


/** ------------------------------------------------------------------------------------
 * get list of presets for current module
 * @return	array		$presetFolders = data set
 * @param	array		$presetFolders = empty array
 * @param	string		$module = name of module which we search in presets
 ** ------------------------------------------------------------------------------------
 */
if ( function_exists( 'page_tree_update_preset_path_used' ) == FALSE ):
	function page_tree_update_preset_path_used( $page_id = 0, $section_id = 0, $path = '' )
	{
		// define globals
		global $admin;

		// get preset path id
		$path_id = 0;
		if ( strlen( trim( $path )) > 0 ):
			$query = 'SELECT `path_id` '
						. ' FROM ' . TABLE_PREFIX . 'mod_preset_path'
						. ' WHERE `path`	!= "' . $path . '"'
						;
			$path_id = page_tree_execute_query( __FUNCTION__, $query, 'get_one' );
		endif;

		// update path used table
		if ( $path_id > 0 ):
			$query = 'INSERT INTO ' . TABLE_PREFIX . 'mod_preset_path_use '
				. ' ( `page_id`'
				. ', `section_id`'
				. ', `created_when`'
				. ', `modified_by`'
				. ', `path_id`'
				. ' )'
			. ' VALUES'
				. ' (' . $page_id
				. ', ' . $section_id
				. ', CURRENT_TIMESTAMP'
				. ', ' . $admin->get_user_id()
				. ', ' . $path_id
				 . ')'
				 ;

// do automatic update if duplicate on a unique key occurs
// see: http://dev.mysql.com/doc/refman/5.0/en/insert-on-duplicate.html
	$query .= ' ON DUPLICATE KEY UPDATE ';
	$query .= 	  '  `modified_by`		= ' . $admin->get_user_id()
				. ', `version_number`	= `version_number` + 1'
				. ', `path_id`			= ' . $path_id
				;

		// delete table row
		else:
			$query = 'DELETE FROM ' . TABLE_PREFIX . 'mod_preset_path_use'
					. ' WHERE `page_id`		= ' . $page_id
					. '   AND `section_id`	= ' . $section_id
					;
		endif;

		// process the query
		$status = page_tree_execute_query( __FUNCTION__, $query, 'try_catch' );
		return $status;
	}
endif;

?>
