<?php

/**  // € // to identify files as UTF8
 * Showing a page tree from a defined page onwards
 *
 * @module          page_tree
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.01.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/page_tree.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


/** ------------------------------------------------------------------------------------
 * set optionSets base attributes where missing
 * @return	&$optionSets
 * @param	array	$optionSets
 ** ------------------------------------------------------------------------------------
 */
if ( function_exists( 'page_tree_validate_optionset' ) == FALSE ):
	function page_tree_validate_optionset( &$optionSets = array() )
	{
		// is optionset an array ?
		if ( is_array( $optionSets ) == FALSE ):
			$optionSets = array();
			return;
		endif;

		// no options defined
		if ( count( $optionSets ) == 0 ):
			return;
		endif;

		// take care that all array items are set.
		foreach ( $optionSets as $key => &$items ):
			if ( array_key_exists( 'script_default', $items ) == FALSE ):
				$items[ 'script_default' ] = '';
			endif;
			if ( array_key_exists( 'default', $items ) == FALSE ):
				$items[ 'default' ] = $items[ 'script_default' ];
			endif;
			if ( array_key_exists( 'value', $items )	== FALSE ):
				$items[ 'value' ] = $items[ 'default' ];
			endif;
			if (( array_key_exists( 'kind', $items )	== FALSE )
			 OR ( strlen( trim( $items[ 'kind' ] ))		== 0     )):
				$items[ 'kind' ] = 'text';
			endif;
			if (( array_key_exists( 'isproperty', $items )	== FALSE )
			 OR ( strlen( trim( $items[ 'isproperty' ] ))	!= 1     )
			 OR ( $items[ 'isproperty' ]					!= 1     )):
				$items[ 'isproperty' ] = 0;
			endif;

			if ( array_key_exists( 'kind', $items ) == FALSE ):
				$items[ 'kind' ] = 'text';
			else:
				$items[ 'kind' ] = mb_convert_case( $items[ 'kind' ], MB_CASE_LOWER, 'UTF-8' );
			endif;

			if ( array_key_exists( 'filter', $items ) == FALSE ):
				switch( $items[ 'kind' ] ):
				case 'truefalse':
				case 'number':
				case 'range':
					$items[ 'filter' ] = array( 'filter' => FILTER_SANITIZE_NUMBER_INT );
					break;

				default:
					$items[ 'filter' ] = array( 'filter' => FILTER_SANITIZE_STRING );

				endswitch;
			endif;

		endforeach;
	}
endif;

?>
