<?php

/**  // € // to identify files as UTF8
 * Showing a page tree from a defined page onwards
 *
 * @module          page_tree
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.01.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/page_tree.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// define configuration values
	$presetConfig = array();
	/*
	 * (default) means module delivery value
	 * (fallback) means value used when none or invalid value is set
	 */

// option details handling (modify_options.php)
	/* allowed values are:
	 * - EDIT		== (default) Option details page can be accessed and options can be changed
	 * - READONLY	== (fallback) Option details page can be accessed but options are shown in read only mode
	 * - HIDE		== Option details page can NOT be accessed, button is not shown
	 *
	 * Note: the button is disabled as long as no valid preset is selected and saved!
	 */
	$presetConfig[ 'optionDetails' ] = 'EDIT';

// description field handling (modify.php)
	/* allowed values are:
	 * - READONLY	== (default, fallback) Properties field is read only
	 * - HIDE		== Properties field is not shown
	 */
	$presetConfig[ 'description' ] = 'READONLY';
	


// define kind of tree
// trail = aaa, aaa/bbb, aaa/bbb/ccc, aaa/ddd, ...
// level = aaa, -- bbb, ----ccc, --ddd, ...
// array = array with page items, only available for pages
	$page_tree_treekind = array();
	$page_tree_treekind['page']['type']	= 'level';
	$page_tree_treekind['page']['prefix']	= '';
	$page_tree_treekind['page']['rootid']	= '0';
	$page_tree_treekind['page']['addroot']	= '0';

?>
