<?php

/**  // € // to identify files as UTF8
 * Showing a page tree from a defined page onwards
 *
 * @module          page_tree
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.01.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/page_tree.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// set default options
	if ( isset( $selectParams ) == FALSE ):
		$selectParams = array();
	endif;

	if ( array_key_exists( 'type', $selectParams ) == FALSE ):
		if (( array_key_exists( 'page', $page_tree_treekind )				== TRUE )
		and ( array_key_exists( 'type', $page_tree_treekind['page'] )		== TRUE )):
			$selectParams['type'] = $page_tree_treekind['page']['type'];
		else:
			$selectParams['type'] = 'level';
		endif;
	endif;

	if ( array_key_exists( 'prefix', $selectParams ) == FALSE ):
		if (( array_key_exists( 'page', $page_tree_treekind )				== TRUE )
		and ( array_key_exists( 'prefix', $page_tree_treekind['page'] )	== TRUE )):
			$selectParams['prefix'] = $page_tree_treekind['page']['prefix'];
		else:
			$selectParams['prefix'] = '';
		endif;
	endif;

	if ( array_key_exists( 'addroot', $selectParams ) == FALSE ):
		if (( array_key_exists( 'page', $page_tree_treekind )				== TRUE )
		and ( array_key_exists( 'addroot', $page_tree_treekind['page'] )	== TRUE )):
			$selectParams['addroot'] = $page_tree_treekind['page']['addroot'];
		else:
			$selectParams['addroot'] = 1;
		endif;
	endif;

	if ( array_key_exists( 'page_id', $selectParams ) == FALSE ):
		if (( array_key_exists( 'page', $page_tree_treekind )				== TRUE )
		and ( array_key_exists( 'rootid', $page_tree_treekind['page'] )	== TRUE )):
			$selectParams['page_id'] = $page_tree_treekind['page']['rootid'];
		else:
			$selectParams['page_id'] = 0;
		endif;
	else:
		// make sure that only number is used
		$selectParams['page_id'] = filter_var( $selectParams['page_id'], FILTER_SANITIZE_NUMBER_INT );
	endif;


	if ( isset( $pageTree ) == FALSE ):
		$pageTree = array();
	endif;
	if ( isset( $sectionList ) == FALSE ):
		$sectionList = array();
	endif;


/** ------------------------------------------------------------------------------------
 * build page tree
 * @return	array		$tree		= result
 * @param	int			$parent		= parent id where to start
 * @param	array		$tree		= available result so far
 * @param	string		$resultType	= trail ( menutitel page1, menutitel 1 / menutitl page1.1 )
 *									  level (-- menutitelpage 1, ---- page 1.1 )
 *									  array
 * @param	string		$keyPrefix	= prefix string to be added before the tree key (= page id)
 * @param	string		$addRoot	= when set, root string is added on top
 * @param	array		$page_tree_vars
 ** ------------------------------------------------------------------------------------
 */
	$pageTree	= page_tree_build_page_tree(
						  $selectParams['page_id']
						, $pageTree
						, $selectParams['type']
						, $selectParams['prefix']
						, $selectParams['addroot']
						, $page_tree_vars
						);

// initialize data child
	if (( array_key_exists( 'section_list', $MOD_PAGE_TREE )				== TRUE )
	and ( array_key_exists( 'mainselect', $MOD_PAGE_TREE['section_list'] )	== TRUE )):
		$sectionList[] = $MOD_PAGE_TREE['section_list']['mainselect'];
	endif;

// set result array into data var when called from ajax
	if (( isset( $data ) == TRUE )
	and ( array_key_exists( 'PARENT', $data ) == TRUE )):
		$data['PARENT'] = $pageTree;
		$data['CHILD']  = $sectionList;
	endif;

?>
