<?php

/**  // € // to identify files as UTF8
 * Showing a page tree from a defined page onwards
 *
 * @module          page_tree
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.01.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/page_tree.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// set default options
	if ( isset( $selectParams ) == FALSE ):
		$selectParams = array();
	endif;

	if ( array_key_exists( 'page_id', $selectParams ) == FALSE ):
		$selectParams['page_id'] = 0;
	else:
		// make sure that only number is used
		$selectParams['page_id'] = filter_var( $selectParams['page_id'], FILTER_SANITIZE_NUMBER_INT );
	endif;

	if ( array_key_exists( 'prefix', $selectParams ) == FALSE ):
		if (( array_key_exists( 'page', $page_tree_treekind )				== TRUE )
		and ( array_key_exists( 'prefix', $page_tree_treekind['page'] )	== TRUE )):
			$selectParams['prefix'] = $page_tree_treekind['page']['prefix'];
		else:
			$selectParams['prefix'] = '';
		endif;
	endif;

	if ( array_key_exists( 'sectionprefix', $selectParams ) == FALSE ):
		if (( array_key_exists( 'section', $page_tree_treekind )			== TRUE )
		and ( array_key_exists( 'prefix', $page_tree_treekind['section'] )	== TRUE )):
			$selectParams['sectionprefix'] = $page_tree_treekind['section']['prefix'];
		else:
			$selectParams['sectionprefix'] = '';
		endif;
	endif;


	if ( isset( $page_tree_disabledModules ) == FALSE ):
		$page_tree_disabledModules = array();
	endif;


	if ( isset( $sectionList ) == FALSE ):
		$sectionList = array();
	endif;


/** ------------------------------------------------------------------------------------
 * build section list for a given page
 * @return	array		$pageTreeSections	= result
 * @param	int			$page_id			= page_id from where you want the sections
 * @param	array		$pageTreeSections	= available result so far
 * @param	string		$keyPrefixPage		= prefix string in front of page key
 * @param	string		$keyPrefix			= prefix string to be added before the tree key (= section id)
 * @param	array		$disableModules		= array of modules to be removed from section list
 * @param	array		$page_tree_vars
 ** ------------------------------------------------------------------------------------
 */
	$sectionList		= page_tree_build_section_list(
							  $selectParams['page_id']
							, $sectionList
							, $selectParams['prefix']
							, $selectParams['sectionprefix']
							, $page_tree_disabledModules
							, $page_tree_vars
							);

// set result array into data var when called from ajax
	if (( isset( $data ) == TRUE )
	and ( array_key_exists( 'PARENT', $data ) == TRUE )):
		$data['CHILD']  = $sectionList;
	endif;

?>
