<?php

/**  // € // to identify files as UTF8
 * Showing a page tree from a defined page onwards
 *
 * @module          page_tree
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.01.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/page_tree.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// do additional settings when preset name is available and no options are set yet
	if (( isset( $data[ 'preset_name'] )		== TRUE )
	AND ( strlen( $data[ 'preset_name'] )		>   0   )):
	
		$data[ 'preset_path']	= '';
		$data[ 'path_id']		= '';

		// get path_code
		$tmp = explode( '|', $data[ 'preset_name'] );
		$path_id		= trim( $tmp[0] );
		$path_code		= trim( $tmp[1] );
		$preset_name	= trim( $tmp[2] );

		// get preset path
		$query = 'SELECT path '
					. ' FROM ' . TABLE_PREFIX . 'mod_preset_path'
					. ' WHERE `path_code`	= "' . $path_code . '"'
					. '   AND `status`		!= "DELETED"'
					;
		$preset_path = page_tree_execute_query( __FUNCTION__, $query, 'get_one' );

		if ( is_dir( LEPTON_PATH . $preset_path ) == TRUE ):
			$data[ 'preset_path']	= $preset_path . DIRECTORY_SEPARATOR . $preset_name;
		else:
			$data[ 'preset_path' ] = '';
		endif;
	else:
		$data[ 'preset_path' ] = '';
	endif;


// data validation for mandatory fields
	if ( strlen( $data[ 'preset_path' ] ) > 0 ):
		// define the template standard to be used
		$preset_path = LEPTON_PATH . $data[ 'preset_path' ];

		// define the preset template to be used
		if ( file_exists( $preset_path . DIRECTORY_SEPARATOR . 'page_tree_info.php' ) == TRUE ):
			include( $preset_path . DIRECTORY_SEPARATOR . 'page_tree_info.php' );
			// note that preset_path (incl LEPTON_PATH) can be changed herein!
		endif;

		// load optionSets file in preset path folder
		if ( file_exists( $preset_path . DIRECTORY_SEPARATOR . 'page_tree_options.php' ) == TRUE ):
			include( $preset_path . DIRECTORY_SEPARATOR . 'page_tree_options.php' );
		endif;

		// complete optionSets array with base required attributes
		page_tree_validate_optionset( $optionSets );

		if (( isset( $data[ 'options'] )			== TRUE )
		and ( strlen( trim( $data[ 'options'] ))	>  0    )):
			// get saved differences against option_set file and change saved values in $optionSets array
			// source structure e.g.:, transition:"fade", open:TRUE, className:"hugo"
			page_tree_prepare_optionset( $optionSets, $data['options'], $data['properties'] );
		endif;

		// init fields
		$data[ 'options']		= '';
		$data[ 'properties']	= '';

		// get options but only those where value different than default
		// build data array for save
		// target layout e.g. : transition:"fade",slideshow:false
		page_tree_prepare_string( $optionSets, array(), $data[ 'options' ], $data[ 'properties' ] );
	else:
		// use options only in relation with a preset_name
		$data[ 'preset_name' ]	= '';
		$data[ 'preset_path' ]	= '';
		$data[ 'options' ]		= '';
		$data[ 'properties' ]	= '';
	endif;


// update preset path used
	page_tree_update_preset_path_used( $page_id, $section_id, $data[ 'preset_path' ] );

// prepare SQL
	// do insert
	$query = 'INSERT INTO ' . TABLE_PREFIX . 'mod_page_tree '
				. ' ( `page_id`'
				. ', `section_id`'
				. ', `created_when`'
				. ', `modified_by`'
				. ( isset( $data[ 'preset_name'] )	== TRUE ? ', `preset_name`'	: '' )
				. ( isset( $data[ 'preset_path'] )	== TRUE ? ', `preset_path`'	: '' )
				. ( isset( $data[ 'options'] )		== TRUE ? ', `options`'		: '' )
				. ( isset( $data[ 'properties'] )	== TRUE ? ', `properties`'	: '' )
				. ( isset( $data[ 'tree_page_id'] )	== TRUE ? ', `tree_page_id`': '' )
				. ( isset( $data[ 'notes'] )		== TRUE ? ', `notes`'		: '' )
				. ' )'
			. ' VALUES'
				. ' (' . $page_id
				. ', ' . $section_id
				. ', CURRENT_TIMESTAMP'
				. ', ' . $admin->get_user_id()
				. ( isset( $data[ 'preset_name'] )	== TRUE ? ', \'' . $data[ 'preset_name'] . '\''	: '' )
				. ( isset( $data[ 'preset_path'] )	== TRUE ? ', \'' . $data[ 'preset_path'] . '\''	: '' )
				. ( isset( $data[ 'options'] )		== TRUE ? ', \'' . $data[ 'options'] . '\''		: '' )
				. ( isset( $data[ 'properties'] )	== TRUE ? ', \'' . $data[ 'properties'] . '\''	: '' )
				. ( isset( $data[ 'tree_page_id'] )	== TRUE ? ', \'' . $data[ 'tree_page_id'] . '\'': '' )
				. ( isset( $data[ 'notes'] )		== TRUE ? ', \'' . $data[ 'notes'] . '\''		: '' )
				. ')'
				;

// do automatic update if duplicate on a unique key occurs
// see: http://dev.mysql.com/doc/refman/5.0/en/insert-on-duplicate.html
	$query .= ' ON DUPLICATE KEY UPDATE ';
	$query .= 	  '  `modified_by`		= ' . $admin->get_user_id()
				. ', `version_number`	= `version_number` + 1'
				. ( isset( $data[ 'preset_name'] )	== TRUE ? ', `preset_name`'	. '= \'' . $data[ 'preset_name'] . '\''	: '' )
				. ( isset( $data[ 'preset_path'] )	== TRUE ? ', `preset_path`'	. '= \'' . $data[ 'preset_path'] . '\''	: '' )
				. ( isset( $data[ 'options'] )		== TRUE ? ', `options`'		. '= \'' . $data[ 'options'] . '\''		: '' )
				. ( isset( $data[ 'properties'])	== TRUE ? ', `properties`'	. '= \'' . $data[ 'properties'] . '\''	: '' )
				. ( isset( $data[ 'tree_page_id'])	== TRUE ? ', `tree_page_id`'. '= \'' . $data[ 'tree_page_id'] . '\'': '' )
				. ( isset( $data[ 'notes'])			== TRUE ? ', `notes`'		. '= \'' . $data[ 'notes'] . '\''		: '' )
				;

// run the insert/update query
	$status = page_tree_execute_query( __FUNCTION__, $query, 'try_catch' );

?>
