<?php

/**  // € // to identify files as UTF8
 * Showing a page tree from a defined page onwards
 *
 * @module          page_tree
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.01.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/page_tree.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// set default template
	$twigTemplate = 'view.lte';

// preset handling
	if (( $form_values[ 'num_data' ] > 0 )
	AND ( strlen( $data[ 'preset_name' ] ) > 0 )):
		// define the template standard to be used
		$preset_path = LEPTON_PATH . $data[ 'preset_path' ];
		$preset_lte  = 'page_tree.lte';

		// define the preset template to be used
		if ( file_exists( $preset_path . DIRECTORY_SEPARATOR . 'page_tree_info.php' ) == TRUE ):
			include( $preset_path . DIRECTORY_SEPARATOR . 'page_tree_info.php' );
			// note that preset_path (incl LEPTON_PATH) and preset.lte for the template can be changed herein!
		endif;

/*
	Please note that preset path can be changed in info.php
*/

		// call module specific twig setup
		if ( file_exists( $preset_path . DIRECTORY_SEPARATOR . 'page_tree_twig.php' ) == TRUE ):
			include( $preset_path . DIRECTORY_SEPARATOR . 'page_tree_twig.php' );
		endif;

		// assign final template
		if ( file_exists( $preset_path . DIRECTORY_SEPARATOR . $preset_lte ) == TRUE ):
			$twigTemplatePath = $preset_path;
			$twigTemplate     = $preset_lte;
		endif;
	endif;

// add main form data set
	if ( $form_values[ 'num_data' ] > 0 ):
		$form_values[ 'data' ]			= $data;
		$form_values[ 'tree' ]			= $pageTree;
		$form_values[ 'link_pre' ]		= LEPTON_URL . DIRECTORY_SEPARATOR . PAGES_DIRECTORY . DIRECTORY_SEPARATOR;
		$form_values[ 'link_post' ]		= PAGE_EXTENSION;
	else:
		// no data available, also no preset usage
		$form_values[ 'data' ]			= array();		// no data available
		$form_values[ 'tree' ]			= array();
	endif;

?>
