<?php

/**  // € // to identify files as UTF8
 * Showing a page tree from a defined page onwards
 *
 * @module          page_tree
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.01.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/page_tree.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// load filemanager
	if ( count( get_included_files() ) < 2 ) die();

	global $lepton_filemanager;
	if ( is_object($lepton_filemanager) == FALSE ):
		require_once( '../../framework/class.lepton.filemanager.php' );
	endif;

/*
 * List of the files to register
 * ==============================
 *
 * Source: http://doc.lepton-cms.org/docu/english/home/addons/register-files.php
 *
 */

/* automatic registered files:
 * install.php
 * uninstall.php
 * upgrade.php
 * add.php
 * delete.php
 * modify.php
 * view.php
 */

// define the files to be registered
$files_to_register = array();
$files_to_register[] = '/modules/page_tree/README.de.php';
$files_to_register[] = '/modules/page_tree/README.en.php';
$files_to_register[] = '/modules/page_tree/_setup.php';
$files_to_register[] = '/modules/page_tree/ajax.select_details.php';
$files_to_register[] = '/modules/page_tree/ajax.toggle_active.php';
$files_to_register[] = '/modules/page_tree/css/backend.css';
$files_to_register[] = '/modules/page_tree/css/images/toggle_active_0_16.png';
$files_to_register[] = '/modules/page_tree/css/images/toggle_active_1_16.png';
$files_to_register[] = '/modules/page_tree/dialog.show_info.php';
$files_to_register[] = '/modules/page_tree/headers.inc.backend.php';
$files_to_register[] = '/modules/page_tree/headers.inc.modify.php';
$files_to_register[] = '/modules/page_tree/headers.inc.php';
$files_to_register[] = '/modules/page_tree/headers.inc.view.php';
$files_to_register[] = '/modules/page_tree/info.php';
$files_to_register[] = '/modules/page_tree/install_dependency.php';
$files_to_register[] = '/modules/page_tree/js/ajax.select_details.js';
$files_to_register[] = '/modules/page_tree/js/ajax.toggle_active.js';
$files_to_register[] = '/modules/page_tree/js/dialog.js';
$files_to_register[] = '/modules/page_tree/js/modify.js';
$files_to_register[] = '/modules/page_tree/js/modify_preset_options.js';
$files_to_register[] = '/modules/page_tree/js/textarea_autosize/autosize.js';
$files_to_register[] = '/modules/page_tree/js/textarea_autosize/autosize.min.js';
$files_to_register[] = '/modules/page_tree/js/textarea_autosize/read.me';
$files_to_register[] = '/modules/page_tree/js/textarea_autosize.js';
$files_to_register[] = '/modules/page_tree/languages/DE.ajax.select_details.php';
$files_to_register[] = '/modules/page_tree/languages/DE.ajax.toggle_active.php';
$files_to_register[] = '/modules/page_tree/languages/DE.dialog.show_info.php';
$files_to_register[] = '/modules/page_tree/languages/DE.modify.php';
$files_to_register[] = '/modules/page_tree/languages/DE.modify_preset_options.php';
$files_to_register[] = '/modules/page_tree/languages/DE.php';
$files_to_register[] = '/modules/page_tree/languages/EN.ajax.select_details.php';
$files_to_register[] = '/modules/page_tree/languages/EN.ajax.toggle_active.php';
$files_to_register[] = '/modules/page_tree/languages/EN.dialog.show_info.php';
$files_to_register[] = '/modules/page_tree/languages/EN.modify.php';
$files_to_register[] = '/modules/page_tree/languages/EN.modify_preset_options.php';
$files_to_register[] = '/modules/page_tree/languages/EN.php';
$files_to_register[] = '/modules/page_tree/lib/functions/function.execute_query.php';
$files_to_register[] = '/modules/page_tree/lib/functions/function.input_filter.php';
$files_to_register[] = '/modules/page_tree/lib/functions/function.load_language.php';
$files_to_register[] = '/modules/page_tree/lib/functions/function.preset_options.get_presets.php';
$files_to_register[] = '/modules/page_tree/lib/functions/function.preset_options.prepare_optionset.php';
$files_to_register[] = '/modules/page_tree/lib/functions/function.preset_options.prepare_string.php';
$files_to_register[] = '/modules/page_tree/lib/functions/function.preset_options.update_preset_path_used.php';
$files_to_register[] = '/modules/page_tree/lib/functions/function.preset_options.validate_optionset.php';
$files_to_register[] = '/modules/page_tree/lib/functions/function.select_details.build_page_tree.php';
$files_to_register[] = '/modules/page_tree/lib/functions/function.select_details.build_section_list.php';
$files_to_register[] = '/modules/page_tree/lib/lib.backend.config.php';
$files_to_register[] = '/modules/page_tree/lib/lib.backend.functions.modify_preset_options.php';
$files_to_register[] = '/modules/page_tree/lib/lib.backend.functions.php';
$files_to_register[] = '/modules/page_tree/lib/lib.backend.functions.save_preset_options.php';
$files_to_register[] = '/modules/page_tree/lib/lib.data.ajax.select_details.page_tree.php';
$files_to_register[] = '/modules/page_tree/lib/lib.data.ajax.select_details.php';
$files_to_register[] = '/modules/page_tree/lib/lib.data.ajax.select_details.section_list.php';
$files_to_register[] = '/modules/page_tree/lib/lib.data.ajax.toggle_active.php';
$files_to_register[] = '/modules/page_tree/lib/lib.data.dialog.show_info.php';
$files_to_register[] = '/modules/page_tree/lib/lib.data.modify.php';
$files_to_register[] = '/modules/page_tree/lib/lib.data.modify_preset_options.php';
$files_to_register[] = '/modules/page_tree/lib/lib.data.view.php';
$files_to_register[] = '/modules/page_tree/lib/lib.frontend.config.php';
$files_to_register[] = '/modules/page_tree/lib/lib.frontend.functions.php';
$files_to_register[] = '/modules/page_tree/lib/lib.save.php';
$files_to_register[] = '/modules/page_tree/lib/lib.save_preset_options.php';
$files_to_register[] = '/modules/page_tree/lib/lib.twig.ajax.toggle_active.php';
$files_to_register[] = '/modules/page_tree/lib/lib.twig.dialog.show_info.php';
$files_to_register[] = '/modules/page_tree/lib/lib.twig.formvalues.php';
$files_to_register[] = '/modules/page_tree/lib/lib.twig.modify.php';
$files_to_register[] = '/modules/page_tree/lib/lib.twig.modify_preset_options.php';
$files_to_register[] = '/modules/page_tree/lib/lib.twig.view.php';
$files_to_register[] = '/modules/page_tree/load_includes.php';
$files_to_register[] = '/modules/page_tree/modify_preset_options.php';
$files_to_register[] = '/modules/page_tree/precheck.php';
$files_to_register[] = '/modules/page_tree/register_initial.php';
$files_to_register[] = '/modules/page_tree/register_language.php';
$files_to_register[] = '/modules/page_tree/register_parser.php';
$files_to_register[] = '/modules/page_tree/save.php';
$files_to_register[] = '/modules/page_tree/save_preset_options.php';
$files_to_register[] = '/modules/page_tree/search.php';
$files_to_register[] = '/modules/page_tree/templates/backend/ajax.select_details.lte';
$files_to_register[] = '/modules/page_tree/templates/backend/ajax.toggle_active.lte';
$files_to_register[] = '/modules/page_tree/templates/backend/dialog.show_info.lte';
$files_to_register[] = '/modules/page_tree/templates/backend/modify.lte';
$files_to_register[] = '/modules/page_tree/templates/backend/modify_preset_options.lte';
$files_to_register[] = '/modules/page_tree/templates/backend/show.help.lte';
$files_to_register[] = '/modules/page_tree/templates/backend/show.toggle_active.lte';
$files_to_register[] = '/modules/page_tree/templates/backend/show_info.lte';
$files_to_register[] = '/modules/page_tree/templates/frontend/view.lte';

// register the files
	$lepton_filemanager->register( $files_to_register );

?>
