<?php

/**  // € // to identify files as UTF8
 * Showing a page tree from a defined page onwards
 *
 * @module          page_tree
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.01.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/page_tree.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// define langauge array
	$page_tree_languages = array();
	if ( isset( $page_tree_modulePath ) == TRUE ):
		$page_tree_languages[] = array( 'language' => LANGUAGE
							, 'fallback' => 'EN'
							, 'path'     => $page_tree_modulePath . 'languages' . DIRECTORY_SEPARATOR
							);
	endif;
	if ( isset( $page_tree_templatePath ) == TRUE ):
		$page_tree_languages[] = array( 'language' => LANGUAGE
							, 'fallback' => 'EN'
							, 'path'     => $page_tree_templatePath . 'languages' . DIRECTORY_SEPARATOR
							);
	endif;


// load language files
	$function = $page_tree_modulePath
			. 'lib' . DIRECTORY_SEPARATOR . 'functions' . DIRECTORY_SEPARATOR
			. 'function.load_language.php';

	if ( is_file ( $function ) == TRUE ):
		include_once( $function );

		page_tree_load_language( $MOD_PAGE_TREE, $page_tree_languages, $page_tree_component, TRUE );
	endif;

?>
